package router

import (
	"github.com/gin-gonic/gin"
)

func RegisterMenu(group *gin.RouterGroup, h *Menu) {
	router := group.Group("/menu")
	router.POST("/getMenuList", h.List)
	router.POST("/getBaseMenuTree", h.Tree)
	router.POST("/addBaseMenu", h.Create)
	router.POST("/updateBaseMenu", h.Update)
	router.POST("/deleteBaseMenu", h.Delete)
	router.POST("/getBaseMenuById", h.Find)
	router.POST("/addMenuAuthority", h.SetAuthorityMenus)
	router.POST("/getMenuAuthority", h.AuthorityMenus)
	router.GET("/getMenuRoles", h.RoleIDs)
	router.POST("/setMenuRoles", h.SetRoles)
}
